Name:           ExchangeIR
Version:        0.0.8.2
Release:        9%{?dist}
Summary:        Java infrared signals analysis and conversion library

Group:          System Environment/Libraries
License:        GPLv3+
URL:            http://sourceforge.net/p/controlremote/
BuildArch:      noarch
                # Retrieve from svn using something like:
                #   repo="svn://svn.code.sf.net/p/controlremote/code"
                #   svn export -q $repo/tags/exchangeir-0.0.8.2 ExchangeIR
                #   tar czf ../ExchangeIR.tar.gz ExchangeIR
Source0:        ExchangeIR.tar.gz
Patch1:         0001-pom.xml-fix-for-updated-assembly.patch

BuildRequires:  maven-assembly-plugin
BuildRequires:  maven-file-management
BuildRequires:  maven-local
BuildRequires:  maven-repository-builder
BuildRequires:  plexus-active-collections

%description
Native Java port of a subset of Graham Dixon's C++ library for
analysis and conversion of infrared signals.

%package        javadoc
Summary:        Javadoc for %{name}

%description javadoc
This package contains the API documentation for %{name}.


%prep
%autosetup -n %{name}
find \( -name '*.jar' -o -name '*.class' \) -delete


%build
%mvn_build


%install
%mvn_install


%files -f .mfiles
%dir %{_javadir}/%{name}
%license COPYING.txt
%doc README.txt

%files javadoc -f .mfiles-javadoc
%license COPYING.txt


%changelog
* Thu Jul 12 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.8.2-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Fri Mar 16 2018 Alec Leamas <leamas.alec@gmail.com> - 0.0.8.2-8
- Fix maven-assembly plugin configuration syntax change.
- Fix missing BR: after maven-local split.

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.8.2-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.8.2-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.8.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.8.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Tue Jun 16 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.8.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Wed Feb 25 2015 Alec Leamas <leamas.alec@gmail.com> - 0.0.8.2-2
- Update metadata to reflect version.

* Sun Feb 22 2015 Alec Leamas <leamas.alec@gmail.com> - 0.0.8.2-1
- Sanitize version number, fix license, description...update  break.

* Fri Feb 20 2015 Alec Leamas <leamas.alec@gmail.com> - 0.9.2-1
- Initial release
